package com.marvinelsen.willow.ui.converters

import com.marvinelsen.willow.config.Theme
import javafx.util.StringConverter

class ThemeStringConverter : StringConverter<Theme>() {
    override fun toString(theme: Theme): String = when (theme) {
        Theme.SYSTEM -> "System"
        Theme.LIGHT -> "Light"
        Theme.DARK -> "Dark"
    }

    override fun fromString(string: String) = null
}
